Index: /code/trunk/bin/keybindings.ini
===================================================================
--- /code/trunk/bin/keybindings.ini	(revision 1348)
+++ /code/trunk/bin/keybindings.ini	(revision 1349)
@@ -1,560 +1,264 @@
 [KeyBinder]
-P_UNASSIGNED=activateConsole
-R_UNASSIGNED=
-H_UNASSIGNED=
-P_ESCAPE="exit"
-R_ESCAPE=
-H_ESCAPE=
-P_1=
-R_1=
-H_1=
-P_2=
-R_2=
-H_2=
-P_3=
-R_3=
-H_3=
-P_4=
-R_4=
-H_4=
-P_5=
-R_5=
-H_5=
-P_6=
-R_6=
-H_6=
-P_7="exec disco.txt"
-R_7=
-H_7=
-P_8=
-R_8=
-H_8=
-P_9="disco.txt"
-R_9=
-H_9=
-P_0=
-R_0=
-H_0=
-P_MINUS=
-R_MINUS=
-H_MINUS=
-P_EQUALS=activateConsole
-R_EQUALS=
-H_EQUALS=
-P_BACK=
-R_BACK=
-H_BACK=
-P_TAB=
-R_TAB=
-H_TAB=
-P_Q=
-R_Q=
-H_Q=
-P_W=
-R_W=
-H_W=
-P_E=
-R_E=
-H_E=
-P_R=
-R_R=
-H_R=
-P_T=
-R_T=
-H_T=
-P_Y=
-R_Y=
-H_Y=
-P_U=
-R_U=
-H_U=
-P_I=
-R_I=
-H_I=
-P_O=
-R_O=
-H_O=
-P_P=
-R_P=
-H_P=
-P_LBRACKET=
-R_LBRACKET=
-H_LBRACKET=
-P_RBRACKET=
-R_RBRACKET=
-H_RBRACKET=
-P_RETURN=
-R_RETURN=
-H_RETURN=
-P_LCONTROL=
-R_LCONTROL=
-H_LCONTROL=
-P_A=
-R_A=
-H_A=
-P_S=
-R_S=
-H_S=
-P_D=
-R_D=
-H_D=
-P_F=
-R_F=
-H_F=
-P_G=
-R_G=
-H_G=
-P_H=
-R_H=
-H_H=
-P_J=
-R_J=
-H_J=
-P_K=
-R_K=
-H_K=
-P_L=
-R_L=
-H_L=
-P_SEMICOLON=
-R_SEMICOLON=
-H_SEMICOLON=
-P_APOSTROPHE=
-R_APOSTROPHE=
-H_APOSTROPHE=
-P_GRAVE=activateConsole
-R_GRAVE=
-H_GRAVE=
-P_LSHIFT=
-R_LSHIFT=
-H_LSHIFT=
-P_BACKSLASH=
-R_BACKSLASH=
-H_BACKSLASH=
-P_Z=
-R_Z=
-H_Z=
-P_X=
-R_X=
-H_X=
-P_C=
-R_C=
-H_C=
-P_V=
-R_V=
-H_V=
-P_B=
-R_B=
-H_B=
-P_N=
-R_N=
-H_N=
-P_M=
-R_M=
-H_M=
-P_COMMA=
-R_COMMA=
-H_COMMA=
-P_PERIOD=
-R_PERIOD=
-H_PERIOD=
-P_SLASH=
-R_SLASH=
-H_SLASH=
-P_RSHIFT=
-R_RSHIFT=
-H_RSHIFT=
-P_MULTIPLY=
-R_MULTIPLY=
-H_MULTIPLY=
-P_LMENU=
-R_LMENU=
-H_LMENU=
-P_SPACE=
-R_SPACE=
-H_SPACE=
-P_CAPITAL=
-R_CAPITAL=
-H_CAPITAL=
-P_F1=
-R_F1=
-H_F1=
-P_F2=
-R_F2=
-H_F2=
-P_F3=
-R_F3=
-H_F3=
-P_F4=
-R_F4=
-H_F4=
-P_F5=
-R_F5=
-H_F5=
-P_F6=
-R_F6=
-H_F6=
-P_F7=
-R_F7=
-H_F7=
-P_F8=
-R_F8=
-H_F8=
-P_F9=
-R_F9=
-H_F9=
-P_F10=
-R_F10=
-H_F10=
-P_NUMLOCK=
-R_NUMLOCK=
-H_NUMLOCK=
-P_SCROLL=
-R_SCROLL=
-H_SCROLL=
-P_NUMPAD7=
-R_NUMPAD7=
-H_NUMPAD7=
-P_NUMPAD8=
-R_NUMPAD8=
-H_NUMPAD8=
-P_NUMPAD9=
-R_NUMPAD9=
-H_NUMPAD9=
-P_SUBTRACT=
-R_SUBTRACT=
-H_SUBTRACT=
-P_NUMPAD4=
-R_NUMPAD4=
-H_NUMPAD4=
-P_NUMPAD5=
-R_NUMPAD5=
-H_NUMPAD5=
-P_NUMPAD6=
-R_NUMPAD6=
-H_NUMPAD6=
-P_ADD=
-R_ADD=
-H_ADD=
-P_NUMPAD1=
-R_NUMPAD1=
-H_NUMPAD1=
-P_NUMPAD2=
-R_NUMPAD2=
-H_NUMPAD2=
-P_NUMPAD3=
-R_NUMPAD3=
-H_NUMPAD3=
-P_NUMPAD0=
-R_NUMPAD0=
-H_NUMPAD0=
-P_DECIMAL=
-R_DECIMAL=
-H_DECIMAL=
-P_=
-R_=
-H_=
-P_OEM_102=
-R_OEM_102=
-H_OEM_102=
-P_F11=
-R_F11=
-H_F11=
-P_F12=
-R_F12=
-H_F12=
-P_F13=
-R_F13=
-H_F13=
-P_F14=
-R_F14=
-H_F14=
-P_F15=
-R_F15=
-H_F15=
-P_KANA=
-R_KANA=
-H_KANA=
-P_ABNT_C1=
-R_ABNT_C1=
-H_ABNT_C1=
-P_CONVERT=
-R_CONVERT=
-H_CONVERT=
-P_NOCONVERT=
-R_NOCONVERT=
-H_NOCONVERT=
-P_YEN=
-R_YEN=
-H_YEN=
-P_ABNT_C2=
-R_ABNT_C2=
-H_ABNT_C2=
-P_NUMPADEQUALS=
-R_NUMPADEQUALS=
-H_NUMPADEQUALS=
-P_PREVTRACK=
-R_PREVTRACK=
-H_PREVTRACK=
-P_AT=
-R_AT=
-H_AT=
-P_COLON=
-R_COLON=
-H_COLON=
-P_UNDERLINE=
-R_UNDERLINE=
-H_UNDERLINE=
-P_KANJI=
-R_KANJI=
-H_KANJI=
-P_STOP=
-R_STOP=
-H_STOP=
-P_AX=
-R_AX=
-H_AX=
-P_UNLABELED=
-R_UNLABELED=
-H_UNLABELED=
-P_NEXTTRACK=
-R_NEXTTRACK=
-H_NEXTTRACK=
-P_NUMPADENTER=activateConsole
-R_NUMPADENTER=
-H_NUMPADENTER=
-P_RCONTROL=
-R_RCONTROL=
-H_RCONTROL=
-P_MUTE=
-R_MUTE=
-H_MUTE=
-P_CALCULATOR=
-R_CALCULATOR=
-H_CALCULATOR=
-P_PLAYPAUSE=
-R_PLAYPAUSE=
-H_PLAYPAUSE=
-P_MEDIASTOP=exit
-R_MEDIASTOP=
-H_MEDIASTOP=
-P_VOLUMEDOWN=
-R_VOLUMEDOWN=
-H_VOLUMEDOWN=
-P_VOLUMEUP=
-R_VOLUMEUP=
-H_VOLUMEUP=
-P_WEBHOME=
-R_WEBHOME=
-H_WEBHOME=
-P_NUMPADCOMMA=
-R_NUMPADCOMMA=
-H_NUMPADCOMMA=
-P_DIVIDE=
-R_DIVIDE=
-H_DIVIDE=
-P_SYSRQ=
-R_SYSRQ=
-H_SYSRQ=
-P_RMENU=
-R_RMENU=
-H_RMENU=
-P_PAUSE=
-R_PAUSE=
-H_PAUSE=
-P_HOME=
-R_HOME=
-H_HOME=
-P_UP=
-R_UP=
-H_UP=
-P_PGUP=
-R_PGUP=
-H_PGUP=
-P_LEFT=
-R_LEFT=
-H_LEFT=
-P_RIGHT=
-R_RIGHT=
-H_RIGHT=
-P_END=
-R_END=
-H_END=
-P_DOWN=
-R_DOWN=
-H_DOWN=
-P_PGDOWN=
-R_PGDOWN=
-H_PGDOWN=
-P_INSERT=
-R_INSERT=
-H_INSERT=
-P_DELETE=
-R_DELETE=
-H_DELETE=
-P_LWIN=
-R_LWIN=
-H_LWIN=
-P_RWIN=
-R_RWIN=
-H_RWIN=
-P_APPS=
-R_APPS=
-H_APPS=
-P_POWER=
-R_POWER=
-H_POWER=
-P_SLEEP=
-R_SLEEP=
-H_SLEEP=
-P_WAKE=
-R_WAKE=
-H_WAKE=
-P_WEBSEARCH=
-R_WEBSEARCH=
-H_WEBSEARCH=
-P_WEBFAVORITES=
-R_WEBFAVORITES=
-H_WEBFAVORITES=
-P_WEBREFRESH=
-R_WEBREFRESH=
-H_WEBREFRESH=
-P_WEBSTOP=
-R_WEBSTOP=
-H_WEBSTOP=
-P_WEBFORWARD=
-R_WEBFORWARD=
-H_WEBFORWARD=
-P_WEBBACK=
-R_WEBBACK=
-H_WEBBACK=
-P_MYCOMPUTER=
-R_MYCOMPUTER=
-H_MYCOMPUTER=
-P_MAIL=
-R_MAIL=
-H_MAIL=
-P_MEDIASELECT=
-R_MEDIASELECT=
-H_MEDIASELECT=
-P_MouseLeft=
-R_MouseLeft=
-H_MouseLeft=
-P_MouseRight=
-R_MouseRight=
-H_MouseRight=
-P_MouseMiddle=
-R_MouseMiddle=
-H_MouseMiddle=
-P_MouseButton3=
-R_MouseButton3=
-H_MouseButton3=
-P_MouseButton4=
-R_MouseButton4=
-H_MouseButton4=
-P_MouseButton5=
-R_MouseButton5=
-H_MouseButton5=
-P_MouseButton6=
-R_MouseButton6=
-H_MouseButton6=
-P_MouseButton7=
-R_MouseButton7=
-H_MouseButton7=
-P_JoyStick0=
-R_JoyStick0=
-H_JoyStick0=
-P_JoyStick1=
-R_JoyStick1=
-H_JoyStick1=
-P_JoyStick2=
-R_JoyStick2=
-H_JoyStick2=
-P_JoyStick3=
-R_JoyStick3=
-H_JoyStick3=
-P_JoyStick4=
-R_JoyStick4=
-H_JoyStick4=
-P_JoyStick5=
-R_JoyStick5=
-H_JoyStick5=
-P_JoyStick6=
-R_JoyStick6=
-H_JoyStick6=
-P_JoyStick7=
-R_JoyStick7=
-H_JoyStick7=
-P_JoyStick8=
-R_JoyStick8=
-H_JoyStick8=
-P_JoyStick9=
-R_JoyStick9=
-H_JoyStick9=
-P_JoyStick10=
-R_JoyStick10=
-H_JoyStick10=
-P_JoyStick11=
-R_JoyStick11=
-H_JoyStick11=
-P_JoyStick12=
-R_JoyStick12=
-H_JoyStick12=
-P_JoyStick13=
-R_JoyStick13=
-H_JoyStick13=
-P_JoyStick14=
-R_JoyStick14=
-H_JoyStick14=
-P_JoyStick15=
-R_JoyStick15=
-H_JoyStick15=
-P_JoyStick16=
-R_JoyStick16=
-H_JoyStick16=
-P_JoyStick17=
-R_JoyStick17=
-H_JoyStick17=
-P_JoyStick18=
-R_JoyStick18=
-H_JoyStick18=
-P_JoyStick19=
-R_JoyStick19=
-H_JoyStick19=
-P_JoyStick20=
-R_JoyStick20=
-H_JoyStick20=
-P_JoyStick21=
-R_JoyStick21=
-H_JoyStick21=
-P_JoyStick22=
-R_JoyStick22=
-H_JoyStick22=
-P_JoyStick23=
-R_JoyStick23=
-H_JoyStick23=
-P_JoyStick24=
-R_JoyStick24=
-H_JoyStick24=
-P_JoyStick25=
-R_JoyStick25=
-H_JoyStick25=
-P_JoyStick26=
-R_JoyStick26=
-H_JoyStick26=
-P_JoyStick27=
-R_JoyStick27=
-H_JoyStick27=
-P_JoyStick28=
-R_JoyStick28=
-H_JoyStick28=
-P_JoyStick29=
-R_JoyStick29=
-H_JoyStick29=
-P_JoyStick30=
-R_JoyStick30=
-H_JoyStick30=
-P_JoyStick31=
-R_JoyStick31=
-H_JoyStick31=
+KeyUNASSIGNED=
+KeyESCAPE=exit
+Key1=
+Key2=
+Key3=
+Key4=
+Key5=
+Key6=
+Key7=
+Key8=
+Key9=
+Key0=
+KeyMINUS=
+KeyEQUALS=activateConsole
+KeyBACK=
+KeyTAB=
+KeyQ=
+KeyW=
+KeyE=
+KeyR=
+KeyT=
+KeyY=
+KeyU=
+KeyI=
+KeyO=
+KeyP=
+KeyLBRACKET=
+KeyRBRACKET=
+KeyRETURN=
+KeyLCONTROL=
+KeyA=
+KeyS=
+KeyD=
+KeyF=
+KeyG=
+KeyH=
+KeyJ=
+KeyK=
+KeyL=
+KeySEMICOLON=
+KeyAPOSTROPHE=
+KeyGRAVE=activateConsole
+KeyLSHIFT=
+KeyBACKSLASH=
+KeyZ=
+KeyX=
+KeyC=
+KeyV=
+KeyB=
+KeyN=
+KeyM=
+KeyCOMMA=
+KeyPERIOD=
+KeySLASH=
+KeyRSHIFT=
+KeyMULTIPLY=
+KeyLMENU=
+KeySPACE=
+KeyCAPITAL=
+KeyF1=
+KeyF2=
+KeyF3=
+KeyF4=
+KeyF5=
+KeyF6=
+KeyF7=
+KeyF8=
+KeyF9=
+KeyF10=
+KeyNUMLOCK=
+KeySCROLL=
+KeyNUMPAD7=
+KeyNUMPAD8=
+KeyNUMPAD9=
+KeySUBTRACT=
+KeyNUMPAD4=
+KeyNUMPAD5=
+KeyNUMPAD6=
+KeyADD=
+KeyNUMPAD1=
+KeyNUMPAD2=
+KeyNUMPAD3=
+KeyNUMPAD0=
+KeyDECIMAL=
+Key=
+KeyOEM_102=
+KeyF11=
+KeyF12=
+KeyF13=
+KeyF14=
+KeyF15=
+KeyKANA=
+KeyABNT_C1=
+KeyCONVERT=
+KeyNOCONVERT=
+KeyYEN=
+KeyABNT_C2=
+KeyNUMPADEQUALS=
+KeyPREVTRACK=
+KeyAT=
+KeyCOLON=
+KeyUNDERLINE=
+KeyKANJI=
+KeySTOP=
+KeyAX=
+KeyUNLABELED=
+KeyNEXTTRACK=
+KeyNUMPADENTER=activateConsole
+KeyRCONTROL=
+KeyMUTE=
+KeyCALCULATOR=
+KeyPLAYPAUSE=
+KeyMEDIASTOP=
+KeyVOLUMEDOWN=
+KeyVOLUMEUP=
+KeyWEBHOME=
+KeyNUMPADCOMMA=
+KeyDIVIDE=
+KeySYSRQ=
+KeyRMENU=
+KeyPAUSE=
+KeyHOME=
+KeyUP=
+KeyPGUP=
+KeyLEFT=
+KeyRIGHT=
+KeyEND=
+KeyDOWN=
+KeyPGDOWN=
+KeyINSERT=
+KeyDELETE=
+KeyLWIN=
+KeyRWIN=
+KeyAPPS=
+KeyPOWER=
+KeySLEEP=
+KeyWAKE=
+KeyWEBSEARCH=
+KeyWEBFAVORITES=
+KeyWEBREFRESH=
+KeyWEBSTOP=exit
+KeyWEBFORWARD=
+KeyWEBBACK=
+KeyMYCOMPUTER=
+KeyMAIL=
+KeyMEDIASELECT=
+MouseLeft=
+MouseRight=
+MouseMiddle=
+MouseButton3=
+MouseButton4=
+MouseButton5=
+MouseButton6=
+MouseButton7=
+MouseWheel1Up=#AxisAmp 0.1 slomo
+MouseWheel1Down=#AxisAmp 0.1 slomo
+MouseWheel2Up=
+MouseWheel2Down=
+MouseXPos= #exit | ButtonThreshold 0.85
+MouseXNeg=
+MouseYPos=
+MouseYNeg=
+Empty1Pos=
+Empty1Neg=
+Empty2Pos=
+Empty2Neg=
+JoyAxis1Pos=
+JoyAxis1Neg=
+JoyAxis2Pos=
+JoyAxis2Neg=
+JoyAxis3Pos=
+JoyAxis3Neg=
+JoyAxis4Pos=
+JoyAxis4Neg=
+JoyAxis5Pos=
+JoyAxis5Neg=#AxisAmp 10 slomo | ButtonThreshold 0.9 | onPress exit
+JoyAxis6Pos=#AxisAmp  10 slomo
+JoyAxis6Neg=
+JoyAxis7Pos=
+JoyAxis7Neg=
+JoyAxis8Pos=
+JoyAxis8Neg=
+JoyAxis9Pos=
+JoyAxis9Neg=
+JoyAxis10Pos=
+JoyAxis10Neg=
+JoyAxis11Pos=
+JoyAxis11Neg=
+JoyAxis12Pos=
+JoyAxis12Neg=
+JoyAxis13Pos=
+JoyAxis13Neg=
+JoyAxis14Pos=
+JoyAxis14Neg=
+JoyAxis15Pos=
+JoyAxis15Neg=
+JoyAxis16Pos=
+JoyAxis16Neg=
+JoyAxis17Pos=
+JoyAxis17Neg=
+JoyAxis18Pos=
+JoyAxis18Neg=
+JoyAxis19Pos=
+JoyAxis19Neg=
+JoyAxis20Pos=
+JoyAxis20Neg=
+JoyAxis21Pos=
+JoyAxis21Neg=
+JoyAxis22Pos=
+JoyAxis22Neg=
+JoyAxis23Pos=
+JoyAxis23Neg=
+JoyAxis24Pos=
+JoyAxis24Neg=
+JoyButton0=
+JoyButton1=
+JoyButton2=
+JoyButton3=
+JoyButton4=
+JoyButton5=
+JoyButton6=
+JoyButton7=
+JoyButton8=
+JoyButton9=
+JoyButton10=
+JoyButton11=
+JoyButton12=
+JoyButton13=
+JoyButton14=
+JoyButton15=
+JoyButton16=
+JoyButton17=
+JoyButton18=
+JoyButton19=
+JoyButton20=
+JoyButton21=
+JoyButton22=
+JoyButton23=
+JoyButton24=
+JoyButton25=
+JoyButton26=
+JoyButton27=
+JoyButton28=
+JoyButton29=
+JoyButton30=
+JoyButton31=
+JoyPOV1North=
+JoyPOV1South=
+JoyPOV1East=
+JoyPOV1West=
+JoyPOV2North=
+JoyPOV2South=
+JoyPOV2East=
+JoyPOV2West=
+JoyPOV3North=
+JoyPOV3South=
+JoyPOV3East=
+JoyPOV3West=
+JoyPOV4North=
+JoyPOV4South=
+JoyPOV4East=
+JoyPOV4West=
 
Index: /code/trunk/src/core/CommandExecutor.cc
===================================================================
--- /code/trunk/src/core/CommandExecutor.cc	(revision 1348)
+++ /code/trunk/src/core/CommandExecutor.cc	(revision 1349)
@@ -31,4 +31,5 @@
 #include "util/String.h"
 #include "util/Convert.h"
+#include "util/SubString.h"
 #include "Identifier.h"
 #include "Language.h"
@@ -173,5 +174,5 @@
     }
 
-    KeybindMode CommandEvaluation::getKeybindMode()
+    KeybindMode::Enum CommandEvaluation::getKeybindMode()
     {
         if (this->state_ == CS_Shortcut_Params || this->state_ == CS_Shortcut_Finished)
@@ -198,5 +199,5 @@
         }
         // FIXME: Had to insert a return statement
-        return (KeybindMode)0;
+        return (KeybindMode::Enum)0;
     }
 
Index: /code/trunk/src/core/CommandExecutor.h
===================================================================
--- /code/trunk/src/core/CommandExecutor.h	(revision 1348)
+++ /code/trunk/src/core/CommandExecutor.h	(revision 1349)
@@ -70,6 +70,4 @@
     std::string read(const std::string& filename);
 
-    enum KeybindMode {}; // temporary
-
     ///////////////////////
     // CommandEvaluation //
@@ -82,5 +80,5 @@
             CommandEvaluation();
 
-            KeybindMode getKeybindMode();
+            KeybindMode::Enum getKeybindMode();
             bool isValid() const;
 
@@ -89,5 +87,6 @@
             inline std::string getAdditionalParameter() const
                 { return (this->additionalParameter_ != "") ? (" " + this->additionalParameter_) : ""; }
-            inline std::string getCommandString() const { return this->processedCommand_; }
+            inline ExecutorStatic* getEvaluatedExecutor() { return evaluatedExecutor_; }
+            inline std::string getCommandString() { return this->processedCommand_; }
 
             void setEvaluatedParameter(unsigned int index, MultiTypeMath param);
Index: /code/trunk/src/core/CorePrereqs.h
===================================================================
--- /code/trunk/src/core/CorePrereqs.h	(revision 1348)
+++ /code/trunk/src/core/CorePrereqs.h	(revision 1349)
@@ -78,4 +78,15 @@
 #endif
 
+  namespace KeybindMode
+  {
+    enum Enum
+    {
+      OnPress,
+      OnHold,
+      OnRelease,
+      None
+    };
+  };
+
   typedef std::string LanguageEntryLabel;
 
Index: /code/trunk/src/core/Executor.cc
===================================================================
--- /code/trunk/src/core/Executor.cc	(revision 1348)
+++ /code/trunk/src/core/Executor.cc	(revision 1349)
@@ -39,4 +39,7 @@
         this->name_ = name;
         this->accessLevel_ = level;
+        this->keybindMode_ = KeybindMode::OnPress;
+        this->axisParamIndex_ = -1;
+        this->bAxisRelative_ = false;
 
         this->bAddedDescription_ = false;
Index: /code/trunk/src/core/Executor.h
===================================================================
--- /code/trunk/src/core/Executor.h	(revision 1348)
+++ /code/trunk/src/core/Executor.h	(revision 1349)
@@ -204,4 +204,19 @@
                 { return this->accessLevel_; }
 
+            inline Executor& setKeybindMode(KeybindMode::Enum mode)
+                { this->keybindMode_ = mode; return *this; }
+            inline KeybindMode::Enum getKeybindMode() const
+                { return this->keybindMode_; }
+
+            inline Executor& setAxisParamIndex(int index)
+                { this->axisParamIndex_ = index; return *this; }
+            inline int getAxisParamIndex() const
+                { return this->axisParamIndex_; }
+
+            inline Executor& setIsAxisRelative(bool val)
+                { this->bAxisRelative_ = val; return *this; }
+            inline int getIsAxisRelative() const
+                { return this->bAxisRelative_; }
+
             Executor& setDefaultValues(const MultiTypeMath& param1);
             Executor& setDefaultValues(const MultiTypeMath& param1, const MultiTypeMath& param2);
@@ -233,4 +248,8 @@
             MultiTypeMath defaultValue_[MAX_FUNCTOR_ARGUMENTS];
             bool bAddedDefaultValue_[MAX_FUNCTOR_ARGUMENTS];
+
+            KeybindMode::Enum keybindMode_;
+            int axisParamIndex_;
+            bool bAxisRelative_;
 
         private:
Index: /code/trunk/src/core/InputBuffer.cc
===================================================================
--- /code/trunk/src/core/InputBuffer.cc	(revision 1348)
+++ /code/trunk/src/core/InputBuffer.cc	(revision 1349)
@@ -173,4 +173,8 @@
   }
 
+  /**
+  * This tick() function is called by the InputManager if the InputBuffer is active.
+  * @param dt Delta time
+  */
   void InputBuffer::tick(float dt)
   {
@@ -187,5 +191,5 @@
   }
 
-  bool InputBuffer::keyPressed(const KeyEvent &evt)
+  void InputBuffer::keyPressed(const KeyEvent &evt)
   {
     lastKey_ = evt.key;
@@ -195,8 +199,7 @@
 
     processKey(evt);
-    return true;
-  }
-
-  bool InputBuffer::keyHeld(const KeyEvent& evt)
+  }
+
+  void InputBuffer::keyHeld(const KeyEvent& evt)
   {
     if (evt.key == lastKey_)
@@ -208,5 +211,4 @@
       }
     }
-    return true;
   }
 
Index: /code/trunk/src/core/InputBuffer.h
===================================================================
--- /code/trunk/src/core/InputBuffer.h	(revision 1348)
+++ /code/trunk/src/core/InputBuffer.h	(revision 1349)
@@ -43,5 +43,5 @@
   {};
 
-  class _CoreExport InputBuffer : public KeyHandler, public TickableReal
+  class _CoreExport InputBuffer : public KeyHandler, public OrxonoxClass
   {
     struct InputBufferListenerTuple
@@ -101,7 +101,7 @@
     bool charIsAllowed(const char& input);
 
-    bool keyPressed (const KeyEvent& evt);
-    bool keyReleased(const KeyEvent& evt) { return true; }
-    bool keyHeld    (const KeyEvent& evt);
+    void keyPressed (const KeyEvent& evt);
+    void keyReleased(const KeyEvent& evt) { }
+    void keyHeld    (const KeyEvent& evt);
     void processKey (const KeyEvent &e);
 
